# Do not edit pyproject.toml, it is overwritten.
# Instead, edit dev.toml and/or server.toml

[tool.ruff]
# https://docs.astral.sh/ruff/configuration/
# we do not use black or isort, we use ruff instead
# to sort imports,  ruff check --select I --fix 
line-length=120
lint.ignore = ["E402", "F541"]

[project]
name = "troggle-server"
version = "2025.08.28"
description = "Troggle - cave data management"
readme = "README.md"
requires-python = ">=3.11,<3.12"
dependencies = [
]
[dependency-groups]
server = [
	# "cryptography>=44.0.0",
    "pyaes>=1.6.1",
    "django==3.2.19",
    "beautifulsoup4==4.11.2",
    "piexif==1.1.3",
    "pillow==9.4.0",
    "unidecode==1.3.6",
    "coverage>=7.6.9",
]


# conlficting groups not implemented in uv yet
# server = [
    # "django>=3.2.19; python_version == '3.11.2'",
    # "beautifulsoup4==4.11.2",
    # "piexif==1.1.3",
    # "pillow==9.4.0",
    # "unidecode==1.3.6",
# ]